For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch a single outcome

GET https://api.close.com/api/v1/outcome/{id}/

Reference: https://developer.close.com/api/resources/outcomes/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /outcome/{id}/:
    get:
      operationId: get
      summary: Fetch a single outcome
      tags:
        - subpackage_outcomes
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Outcome'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    OutcomeAppliesTo:
      type: string
      enum:
        - calls
        - meetings
      title: OutcomeAppliesTo
    OutcomeType:
      type: string
      enum:
        - vm-dropped
        - custom
      title: OutcomeType
    Outcome:
      type: object
      properties:
        applies_to:
          type: array
          items:
            $ref: '#/components/schemas/OutcomeAppliesTo'
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type: string
          format: date-time
        date_updated:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        id:
          type: string
        name:
          type: string
        organization_id:
          type: string
        type:
          $ref: '#/components/schemas/OutcomeType'
        updated_by:
          type:
            - string
            - 'null'
      required:
        - applies_to
        - created_by
        - date_created
        - date_updated
        - description
        - id
        - name
        - organization_id
        - type
        - updated_by
      title: Outcome
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python outcomes_get_example
import requests

url = "https://api.close.com/api/v1/outcome/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript outcomes_get_example
const url = 'https://api.close.com/api/v1/outcome/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go outcomes_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/outcome/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby outcomes_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/outcome/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java outcomes_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/outcome/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php outcomes_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/outcome/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp outcomes_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/outcome/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```